import * as $dara from '@darabonba/typescript';
export declare class DescribeSoarStrategyParamRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the policy.
     *
     * >  You can call the [DescribeSoarStrategies](~~DescribeSoarStrategies~~) operation to obtain the ID.
     *
     * This parameter is required.
     *
     * @example
     * 15553
     */
    strategyId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
